Summary: Tools needed to create Texinfo format documentation files.
Name: texinfo
Version: 4.0
Release: 11mdk
Copyright: GPL
Group: Publishing
Source0: ftp://ftp.gnu.org/pub/gnu/texinfo/texinfo-%{version}.tar.bz2
Source1: info-dir
Source2: info.wmconfig
Patch3: texinfo-3.12q-zlib.patch.bz2
Patch4: texinfo-3.12n-compress.patch.bz2
Patch5: texinfo-3.12q-insinfobz2.patch.bz2
Buildroot: /var/tmp/texinfo-root

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.

%description -l fr
Texinfo est un systme de documentation capable de produire de la documentation
online ou imprime  partir d'un seul fichier.  Habituellement, il faut crire
deux documents : l'un orient hypertexte, l'autre ax sur une prsentation
de type PAO. En utilisant texinfo, vous n'avez plus besoin que d'un seul
fichier source. Le projet GNU utilie le format de fichier Texinfo pour la
plupart de ses documentations.

Vous devriez installer texinfo si vous compter crire des documents en ligne et
sur papier  partir du mme fichier ou si vous dsirez crire une documentation
pour le projet GNU.

%description -l de
Texinfo ist ein Dokumentationssystem, das sowohl Online-Information und
gedruckte Ausgabe von einer einzigen Source-Datei erzeugen kann.
Normalerweise wrden Sie zwei verschiedene Dokumente schreiben, eins fr
Onlinehilfe und eins fr ein gedrucktes Handbuch.
Mit Texinfo reicht es, ein Dokument zu schreiben (und spter zu
aktualisieren). Das GNU-Projekt benutzt texinfo fr den grten Teil seiner
Dokumentation.

Installieren Sie texinfo, wenn Sie ein Dokumentationssystem fr Online- und
gedruckte Dokumentation brauchen, oder wenn Sie Dokumentationen fr das
GNU-Projekt schreiben wollen.

%package -n info
Summary: A stand-alone TTY-based reader for GNU texinfo documentation.
Summary(fr): un lecteur de documentations info
Summary(de): Ein TTY-basiertes Leseprogramm fr GNU info-Dokumentation.
Group: System/Base
#- prerequire info-install for triggers on info
Prereq: info-install

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a valuable
source of information about the software on your system.

%description -l fr -n info
Le projet GNU utilise des fichiers au format texinfo pour la plupart de ses
documentations. Ce package fournit un lecteur en mode texte pour ce type de
documentations.

Vous devriez installer texinfo car la documentation GNU est une trs bonne
source d'information  propos des programmes installs.

%description -l de -n info
Das GNU-Projekt benutzt das texinfo-Dateiformat fr den grten Teil seiner
Dokumentation. Das info-Paket ist ein TTY-Basiertes Leseprogramm fr
Texinfo-Dateien.

Sie sollten info installieren, weil GNUs texinfo-Dokumentation eine wichtige
Quelle zu Informationen ber die Software auf Ihrem System ist.


%package -n info-install
Summary: program to update the GNU texinfo documentation main page.
Group: System/Base

%description -n info-install
see package info


%prep
%setup -q
%patch3 -p1 -b .zlib
%patch4 -p1 -b .compress
%patch5 -p0 -b .bz2

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make 
rm util/install-info
make -C util LIBS=/usr/lib/libz.a

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,sbin}

make install prefix=$RPM_BUILD_ROOT/usr

( cd $RPM_BUILD_ROOT
  bzip2 -9f ./usr/info/*info*
  install -m644 $RPM_SOURCE_DIR/info-dir ./etc/info-dir
  ln -sf ../../etc/info-dir $RPM_BUILD_ROOT/usr/info/dir
  for i in makeinfo texindex info install-info ; do
    strip ./usr/bin/$i
  done
  mv -f ./usr/bin/install-info ./sbin
  mkdir -p ./etc/X11/wmconfig
  install -m 644 $RPM_SOURCE_DIR/info.wmconfig ./etc/X11/wmconfig/info
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/texinfo.bz2 /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/texinfo.bz2 /usr/info/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc info/README
/usr/bin/makeinfo
/usr/bin/texindex
/usr/bin/texi2dvi
/usr/info/info-stnd.info*
/usr/info/texinfo*
/usr/share/locale/*/*/*

%files -n info
%defattr(-,root,root)
/usr/bin/info
/usr/info/info.info*
%config(missingok) /etc/X11/wmconfig/info

%files -n info-install
%defattr(-,root,root)
%config(noreplace) /etc/info-dir
%config(noreplace) /usr/info/dir
/sbin/install-info

%changelog
* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0-11mdk
- built for 7.1 (new group structure)
- relocate the info-tty package.

* Thu Mar 23 2000 Pixel <pixel@mandrakesoft.com> 4.0-10mdk
- add info prerequires install-info (because some packages have trigger on package "info")

* Sat Mar  4 2000 Pixel <pixel@mandrakesoft.com> 4.0-9mdk
- add info requires install-info (because some packages have trigger on package "info")

* Fri Mar  3 2000 Pixel <pixel@mandrakesoft.com> 4.0-8mdk
- have /sbin/install-info in its own package (for prereq pb at install)

* Wed Dec  1 1999 Pixel <pixel@linux-mandrake.com>
- removed the glibc prereq for info

* Mon Nov 15 1999 Pixel <pixel@mandrakesoft.com>
- changed the deps. Forced info (and so install-info) to not depends on gpm :(
- unremoved gpm as it can't be done

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Sep 28 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 4.0

* Mon Aug 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Increase release (oups).

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Made a patch for install-info.c to handle bzip2 (where the old patch is gone ?)

* Tue Aug 17 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 3.12q
- rewrite zlib patch (incompatibility with 3.12q)

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 3.12n
- Add french description


* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>

- info Provides install-info and now knows so.

* Wed Jun 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 3.12h.
- Upgrading patch.

* Thu Apr 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch to handle bzip2 and other compresion on install-info.
- Making dependence explicitly from bzip2.

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add patch from RedHat 6.0.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale
- fix handling of RPM_OPT_FLAGS

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- version 3.12f
- make /usr/info/dir to be a %config(noreplace)

* Wed Nov 25 1998 Jeff Johnson <jbj@redhat.com>
- rebuild to fix docdir perms.

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- fix allocation problems in install-info

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- /sbin/install-info should not depend on /usr/lib/libz.so.1 -- statically
  link with /usr/lib/libz.a.

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- added a prereq of bash to the info package -- see the comment for a
  description of why that was done

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add %attr to permit non-root build.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean
- manhattan build

* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 3.12
- added buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- patched install-info.c for glibc.
- added /usr/bin/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
- upgraded to version 3.9.
